
# Experiment 4 Homogoneity

#subexperiment bval MRTrix

# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel mrtrix_dti -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/homog/b400 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/homog/b400/mrtrix -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b400.txt
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel mrtrix_dti -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/homog/b1000 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/homog/b1000/mrtrix -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b1000.txt

# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel mrtrix_dti -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/non_homog/b400 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/non_homog/b400/mrtrix -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b400.txt
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel mrtrix_dti -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/non_homog/b1000 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/non_homog/b1000/mrtrix -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b1000.txt


#subexperiment bval RIM

# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/homog/b400 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/homog/b400/dti_rim_10_50 -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b400.txt -estimatedSNR 30 -inferenceSteps 17
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/homog/b1000 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/homog/b1000/dti_rim_10_50 -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b1000.txt -estimatedSNR 30 -inferenceSteps 17

# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/non_homog/b400 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/non_homog/b400/dti_rim_10_50 -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b400.txt -estimatedSNR 30 -inferenceSteps 12
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/non_homog/b1000 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/non_homog/b1000/dti_rim_10_50 -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b1000.txt -estimatedSNR 30 -inferenceSteps 12

#subexperiment bval deep_dtiRIM

# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/homog/b400 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/homog/b400/deep_dtiRIM -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b400.txt -estimatedSNR 60 -inferenceSteps 12
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/homog/b1000 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/homog/b1000/deep_dtiRIM -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b1000.txt -estimatedSNR 60 -inferenceSteps 12
# # # 
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/non_homog/b400 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/non_homog/b400/deep_dtiRIM -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b400.txt -estimatedSNR 60 -inferenceSteps 12
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/data/one_s0/non_homog/b1000 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_4_homogeneity/results/one_s0/non_homog/b1000/deep_dtiRIM -locationGradient ./data/simulation/gradients_bval_experiment_one_s0/training_bvecs_g60_b1000.txt -estimatedSNR 60 -inferenceSteps 12
